function get_index_and_item(node, name)
    for index, item in ipairs(node:items()) do
        if item:parameters().name == name then
            return index, item
        end
    end
    assert(false, "MenuItem not found: " .. name)
end

function move_down(node, upper_item_name, down_item_name)
    local social_hub_index, social_hub_item = get_index_and_item(node, upper_item_name)
    local inventory_index, inventory_item = get_index_and_item(node, down_item_name)
    -- assert(inventory_index > social_hub_index)

    for i=social_hub_index,inventory_index-1 do
        node:items()[i] = node:items()[i+1]
    end
    node:items()[inventory_index] = social_hub_item
end

Hooks:PostHook(MenuManager, "init" , "fuck_social_hub" , function(self)
    pcall(function(self)
        if self._is_start_menu then
            local menu = self:get_menu("menu_main")
            if menu then
                local node = menu.data._nodes["lobby"]
                move_down(node, "social_hub", "inventory")
                move_down(node, "side_jobs", "inventory")
            end
        end
    end, self)
end)
